import { createSSRApp } from 'vue'

import App from './App.vue'
import { createPinia } from 'pinia'
import {state,setGlobalVariable} from './common/prototype.js'//全局挂载
// 创建Vue应用实例
export function createApp() {
    const app = createSSRApp(App)
	app.config.globalProperties.$state = state;
	app.config.globalProperties.$setGlobalVariable = setGlobalVariable;
    app.use(createPinia())

    return {
        app
    };
}
